## MatePanelApplet

MatePanelApplet

## Functions

gboolean | (*MatePanelAppletFactoryCallback) ()
GtkWidget * | mate_panel_applet_new ()
MatePanelAppletOrient | mate_panel_applet_get_orient ()
guint | mate_panel_applet_get_size ()
MatePanelAppletBackgroundType | mate_panel_applet_get_background ()
MatePanelAppletFlags | mate_panel_applet_get_flags ()
void | mate_panel_applet_set_flags ()
void | mate_panel_applet_set_size_hints ()
gboolean | mate_panel_applet_get_locked_down ()
void | mate_panel_applet_request_focus ()
void | mate_panel_applet_setup_menu ()
void | mate_panel_applet_setup_menu_from_file ()
int | mate_panel_applet_factory_main ()

## Properties

char * | background | Read / Write
gpointer | closure | Read / Write / Construct Only
GDBusConnection * | connection | Read / Write / Construct Only
guint | flags | Read / Write
char * | id | Read / Write / Construct Only
gboolean | locked | Read / Write
gboolean | locked-down | Read / Write
guint | orient | Read / Write
gboolean | out-of-process | Read / Write / Construct Only
char * | prefs-path | Read / Write
guint | size | Read / Write
gpointer | size-hints | Read / Write

## Signals

void | change-background | Run Last
void | change-orient | Run Last
void | change-size | Run Last
void | move-focus-out-of-applet | Action

## Types and Values

| MatePanelApplet
enum | MatePanelAppletOrient
enum | MatePanelAppletBackgroundType
enum | MatePanelAppletFlags

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkEventBox
                            ╰── MatePanelApplet

## Implemented Interfaces

MatePanelApplet implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <mate-panel-applet.h>

## Description

## Functions

### MatePanelAppletFactoryCallback ()

    gboolean
    (*MatePanelAppletFactoryCallback) (MatePanelApplet *applet,
                                       const gchar *iid,
                                       gpointer user_data);

### mate_panel_applet_new ()

    GtkWidget *
    mate_panel_applet_new (void);

### mate_panel_applet_get_orient ()

    MatePanelAppletOrient
    mate_panel_applet_get_orient (MatePanelApplet *applet);

### mate_panel_applet_get_size ()

    guint
    mate_panel_applet_get_size (MatePanelApplet *applet);

### mate_panel_applet_get_background ()

    MatePanelAppletBackgroundType
    mate_panel_applet_get_background (MatePanelApplet *applet,
                                      GdkRGBA *color,
                                      cairo_pattern_t **pattern);

### mate_panel_applet_get_flags ()

    MatePanelAppletFlags
    mate_panel_applet_get_flags (MatePanelApplet *applet);

### mate_panel_applet_set_flags ()

    void
    mate_panel_applet_set_flags (MatePanelApplet *applet,
                                 MatePanelAppletFlags flags);

### mate_panel_applet_set_size_hints ()

    void
    mate_panel_applet_set_size_hints (MatePanelApplet *applet,
                                      const int *size_hints,
                                      int n_elements,
                                      int base_size);

#### Parameters

applet | applet |
size_hints | List of integers. | [array length=n_elements]
n_elements | Length of `size_hints` |
base_size | base_size |

### mate_panel_applet_get_locked_down ()

    gboolean
    mate_panel_applet_get_locked_down (MatePanelApplet *applet);

### mate_panel_applet_request_focus ()

    void
    mate_panel_applet_request_focus (MatePanelApplet *applet,
                                     guint32 timestamp);

### mate_panel_applet_setup_menu ()

    void
    mate_panel_applet_setup_menu (MatePanelApplet *applet,
                                  const gchar *xml,
                                  GtkActionGroup *action_group);

### mate_panel_applet_setup_menu_from_file ()

    void
    mate_panel_applet_setup_menu_from_file
                                   (MatePanelApplet *applet,
                                    const gchar *filename,
                                    GtkActionGroup *action_group);

### mate_panel_applet_factory_main ()

    int
    mate_panel_applet_factory_main (const gchar *factory_id,
                                    gboolean out_process,
                                    GType applet_type,
                                    MatePanelAppletFactoryCallback callback,
                                    gpointer data);

#### Parameters

out_process | boolean, dummy to support applets sending it |
factory_id | Factory ID. |
applet_type | GType of the applet this factory creates. |
callback | Callback to be called when a new applet is to be created. | [scope call]
data | Callback data. | [closure]

#### Returns

0 on success, 1 if there is an error.

## Types and Values

### MatePanelApplet

    typedef struct _MatePanelApplet MatePanelApplet;

### enum MatePanelAppletOrient

#### Members

MATE_PANEL_APPLET_ORIENT_UP |  |
MATE_PANEL_APPLET_ORIENT_DOWN |  |
MATE_PANEL_APPLET_ORIENT_LEFT |  |
MATE_PANEL_APPLET_ORIENT_RIGHT |  |

### enum MatePanelAppletBackgroundType

#### Members

PANEL_NO_BACKGROUND |  |
PANEL_COLOR_BACKGROUND |  |
PANEL_PIXMAP_BACKGROUND |  |

### enum MatePanelAppletFlags

#### Members

MATE_PANEL_APPLET_FLAGS_NONE |  |
MATE_PANEL_APPLET_EXPAND_MAJOR |  |
MATE_PANEL_APPLET_EXPAND_MINOR |  |
MATE_PANEL_APPLET_HAS_HANDLE |  |

## Property Details

### The `“background”` property

      “background”               char *

Panel Applet Background.

Owner: MatePanelApplet

Flags: Read / Write

Default value: NULL

### The `“closure”` property

      “closure”                  gpointer

The Applet closure.

Owner: MatePanelApplet

Flags: Read / Write / Construct Only

### The `“connection”` property

      “connection”               GDBusConnection *

The DBus Connection.

Owner: MatePanelApplet

Flags: Read / Write / Construct Only

### The `“flags”` property

      “flags”                    guint

Panel Applet flags.

Owner: MatePanelApplet

Flags: Read / Write

Allowed values: <= 7

Default value: 0

### The `“id”` property

      “id”                       char *

The Applet identifier.

Owner: MatePanelApplet

Flags: Read / Write / Construct Only

Default value: NULL

### The `“locked”` property

      “locked”                   gboolean

Whether Panel Applet is locked.

Owner: MatePanelApplet

Flags: Read / Write

Default value: FALSE

### The `“locked-down”` property

      “locked-down”              gboolean

Whether Panel Applet is locked down.

Owner: MatePanelApplet

Flags: Read / Write

Default value: FALSE

### The `“orient”` property

      “orient”                   guint

Panel Applet Orientation.

Owner: MatePanelApplet

Flags: Read / Write

Allowed values: <= 3

Default value: 0

### The `“out-of-process”` property

      “out-of-process”           gboolean

out-of-process.

Owner: MatePanelApplet

Flags: Read / Write / Construct Only

Default value: TRUE

### The `“prefs-path”` property

      “prefs-path”               char *

GSettings Preferences Path.

Owner: MatePanelApplet

Flags: Read / Write

Default value: NULL

### The `“size”` property

      “size”                     guint

Panel Applet Size.

Owner: MatePanelApplet

Flags: Read / Write

Default value: 0

### The `“size-hints”` property

      “size-hints”               gpointer

Panel Applet Size Hints.

Owner: MatePanelApplet

Flags: Read / Write

## Signal Details

### The `“change-background”` signal

    void
    user_function (MatePanelApplet              *matepanelapplet,
                   MatePanelAppletBackgroundType arg1,
                   GdkRGBA                      *arg2,
                   CairoPattern                 *arg3,
                   gpointer                      user_data)

Flags: Run Last

### The `“change-orient”` signal

    void
    user_function (MatePanelApplet *matepanelapplet,
                   guint            arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“change-size”` signal

    void
    user_function (MatePanelApplet *matepanelapplet,
                   int              arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“move-focus-out-of-applet”` signal

    void
    user_function (MatePanelApplet *matepanelapplet,
                   GtkDirectionType arg1,
                   gpointer         user_data)

Flags: Action